> For the complete documentation index, see [llms.txt](https://docs.hello-lisa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hello-lisa.com/developers/analytics/abobe-appmeasurement/event-reference/comments.md).

# Comments

### `lsc:comments:audience:join`

Visitor joins the chat during a live stream.

#### Schema

```typescript
export interface CommentsAudienceJoinEvent extends Omit<
  AnalyticsEvent,
  'eventType'
> {
  eventType: 'lsc:comments:audience:join';

  // Event-specific fields
  
  /**
   * The visitor's avatar image URL, if provided by the 
   * host application or environment.
   */
  visitorAvatarUrl?: string;
  /**
   * The visitor's display name, either as chosen by the visitor
   * or provided by the host application or environment.
   */
  visitorName: string;
}
```

#### Alias Mapping Table

<table data-full-width="false"><thead><tr><th width="270.4453125" valign="top">Alias (contextData key) </th><th valign="top">Meaning / Use Case</th><th valign="top">Suggested Adobe Target (placeholder)</th><th valign="top">Friendly Label Example</th></tr></thead><tbody><tr><td valign="top"><code>lsc.visitorAvatarUrl</code></td><td valign="top">Visitor avatar</td><td valign="top">prop{VISITOR_AVATAR}</td><td valign="top">Visitor Avatar</td></tr><tr><td valign="top"><code>lsc.visitorName</code></td><td valign="top">Visitor name</td><td valign="top">prop{VISITOR_NAME}</td><td valign="top">Visitor Name</td></tr></tbody></table>

### `lsc:comments:audience:comment`

Visitor adds a comment during a live stream.

#### Schema

```typescript
interface CommentsAudienceCommentEvent extends Omit<
  AnalyticsEvent,
  'eventType'
> {
  eventType: 'lsc:comments:audience:comment';

  // Event-specific fields
  
  /**
   * Universally unique comment identifier, in UUID v4 format.
   */
  commentId: string;
  /**
   * The comment message.
   */
  commentMessage: string;
  /**
   * The visitor's avatar image URL, if provided by the 
   * host application or environment.
   */
  visitorAvatarUrl?: string;
  /**
   * The visitor's display name, either as chosen by the visitor
   * or provided by the host application or environment.
   */
  visitorName: string;
}
```

#### Alias Mapping Table

<table data-full-width="false"><thead><tr><th width="270.4453125" valign="top">Alias (contextData key) </th><th valign="top">Meaning / Use Case</th><th valign="top">Suggested Adobe Target (placeholder)</th><th valign="top">Friendly Label Example</th></tr></thead><tbody><tr><td valign="top"><code>lsc.commentId</code></td><td valign="top">Comment-scoped identifier</td><td valign="top">prop{COMMENT_ID}</td><td valign="top">Comment ID</td></tr><tr><td valign="top"><code>lsc.commentMessage</code></td><td valign="top">Comment message</td><td valign="top">prop{COMMENT_MESSAGE}</td><td valign="top">Comment Message</td></tr><tr><td valign="top"><code>lsc.visitorAvatarUrl</code></td><td valign="top">Visitor avatar</td><td valign="top">prop{VISITOR_AVATAR}</td><td valign="top">Visitor Avatar</td></tr><tr><td valign="top"><code>lsc.visitorName</code></td><td valign="top">Visitor name</td><td valign="top">prop{VISITOR_NAME}</td><td valign="top">Visitor Name</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hello-lisa.com/developers/analytics/abobe-appmeasurement/event-reference/comments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
